Skip to main content
GET
https://api.onstacks.io
/
v1
/
transactions
/
{transactionId}
Get transaction
curl --request GET \
  --url https://api.onstacks.io/v1/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "transaction": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "type": "<string>",
      "direction": "<string>",
      "status": "<string>",
      "description": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "network_code": "<string>",
      "asset_symbol": "<string>",
      "amount_base_units": "<string>",
      "from_address": "<string>",
      "to_address": "<string>",
      "tx_hash": "<string>",
      "tx_error": "<string>",
      "completed_at": "2023-11-07T05:31:56Z"
    },
    "transfer": {
      "activity": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "type": "<string>",
        "status": "<string>",
        "description": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "network_code": "<string>",
        "asset_symbol": "<string>",
        "amount_base_units": "<string>",
        "from_address": "<string>",
        "to_address": "<string>",
        "tx_hash": "<string>",
        "tx_error": "<string>",
        "blockops_withdrawal_id": "<string>",
        "blockops_status": "<string>",
        "provider_released_by_email": "<string>",
        "provider_released_at": "<string>"
      },
      "approval_state": "<string>",
      "blockops_withdrawal_id": "<string>",
      "blockops_status": "<string>",
      "provider_failure_reason": "<string>",
      "provider_released_by_email": "<string>",
      "provider_released_at": "2023-11-07T05:31:56Z",
      "requested_by_email": "<string>",
      "approved_by_email": "<string>",
      "approved_at": "2023-11-07T05:31:56Z",
      "rejected_by_email": "<string>",
      "rejected_at": "2023-11-07T05:31:56Z",
      "canceled_by_email": "<string>",
      "canceled_at": "2023-11-07T05:31:56Z"
    }
  },
  "error": null,
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Workspace API key. Send it as Authorization: Bearer <api_key>.

Path Parameters

transactionId
string<uuid>
required

Query Parameters

environment
enum<string>
default:sandbox

Environment scope for environment-partitioned resources. Defaults to sandbox when omitted.

Available options:
sandbox,
live

Response

Transaction detail

data
object
required
error
null
required
request_id
string
required